import { PropType, ParseOptions } from '@structured-types/api';
import { Node } from '../common/types';
declare type SectionNames = 'props' | 'description' | 'examples' | 'title' | 'location' | 'all';
declare type ColumnNames = 'name' | 'type' | 'parents' | 'value' | 'description' | 'all';
export declare class ExtractProps {
    private files;
    private collapsed;
    private sections;
    private columns;
    private skipInherited;
    private topLevelProps;
    private helpers;
    private repoNames;
    constructor(files: string[]);
    private extractPropTable;
    private extractFunctionDeclaration;
    private configurePropItem;
    private extractFunction;
    private getPropLink;
    private extractInterface;
    private propLink;
    private inlineType;
    private typeNode;
    private extractPropType;
    private extractType;
    private getSourceLocation;
    private extractPropDefinition;
    private generateSection;
    private extractTSType;
    extract(options: ParseOptions & {
        collapsed?: string[];
        extensions?: string[];
        visible?: string[];
        columns?: ColumnNames[];
        sections?: SectionNames[];
        skipInherited?: boolean;
        overrides?: Record<string, Record<string, PropType>>;
    }): Node[];
}
export {};
